package org.example.mybatisplus.module;

import lombok.Data;

import java.io.Serializable;

/**
 * 经营异常信息 vo
 *
 * @author snows
 * @date 2024/12/11
 */
@Data
public class AbnormalsInfoVO implements Serializable {

    private static final long serialVersionUID = -236315922173373141L;

    /**
     * 企业名称
     */
    private String entName;

    /**
     * 列入时间
     */
    private String inDate;

    /**
     * 做出决定机关
     */
    private String department;

    /*
     * 省份
     */
    private String province;

    /*
     * 移出时间
     */
    private String outDate;

    /*
     * 移出原因
     */
    private String outReason;

    /*
     * 注册号
     */
    private String regNo;

    /*
     * 历史异常
     */
    private String disabled;

    /*
     * 列入原因
     */
    private String inReason;

    /*
     * 移出决定机关
     */
    private String outDepartment;
}
