package org.example.mybatisplus.module;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 行政处罚记录 前端展示对象
 * @author: Kevin
 * @create: 2024-11-04 21:38
 **/
@Data
public class AdministrativePenaltyRecordVO implements Serializable {
    private static final long serialVersionUID = 3543797923955315556L;

    /**
     * 决定书文号
     */
    private String number;

    /**
     * 处罚日期
     */
    private String penaltyData;

    private String departmentName;

    /**
     * 企业名称
     */
    private String entName;

    /*
     * 违法行为类型
     */
    private String illegalType;

    /*
     * 来源
     */
    private String source;

    /*
     * 行政处罚内容
     */
    private String content;

    /*
     * 公示日期
     */
    private String publishDate;

    /*
     * 详情
     */
    private String description;

    /*
     * 是否成为历史
     */
    private String disabled;

    /*
     * 处罚依据
     */
    private String basedOn;

    /*
     * 序号
     */
    private String seqNo;

    /*
     * 法定代表人
     */
    private String operName;

    /*
     * 罚款金额
     */
    private String punishAmnt;

    /*
     * 决定机关名称
     */
    private String department;
}
