package org.example.mybatisplus.module.vo;

import lombok.Data;
import org.example.mybatisplus.tools.ImageUtils;

import java.util.List;

/**
 * 附件对象
 */
public class Attachment {
    private String fileName;
    private String filePath;
    private String fileType;//附件类型，图片或pdf
    private String width;
    private String height;//图片显示高度
    private List<String> base64;//图片base64
    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
        this.fileName = filePath.substring(filePath.lastIndexOf("/") + 1,filePath.lastIndexOf("."));
        this.base64 = ImageUtils.urlTobase64(filePath);
    }


    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public List<String> getBase64() {
        return base64;
    }

    public void setBase64(List<String> base64) {
        this.base64 = base64;
    }
}
