package org.example.mybatisplus.module;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 严重违法弹窗信息
 * @author: Kevin
 * @create: 2024-11-05 17:42
 **/
@Data
public class AdministrativeSeriousIllegalVO implements Serializable {
    private static final long serialVersionUID = 145242674185707549L;

    /**
     * 企业名称
     */
    private String departName;
    /**
     * 列入日期
     */
    private String time;
    /**
     * 作出决定机关（列入）
     */
    private String decisionDept;

    /*
     * 列入原因
     */
    private String inReason;

    /*
     * 移出时间
     */
    private String outDate;

    /*
     * 移出原因
     */
    private String outReason;

    /*
     * 作出决定机关（移出)
     */
    private String outDepartment;

    /*
     * 是否是历史信息
     */
    private String isHistory;
}
