package org.example.mybatisplus.module;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 财务处罚弹窗显示信息
 * @author: Kevin
 * @create: 2024-11-05 17:22
 **/
@Data
public class AdministrativeTaxPenaltyVO implements Serializable {
    private static final long serialVersionUID = 7235654574831790330L;

    /**
     * 企业名称
     */
    private String departmentName;

    /**
     * 发生时间
     */
    private String time;

    /**
     * 公示税务机关
     */
    private String type;

    /*
     * 是否是历史
     */
    private String uTags;

    /*
     * 案件性质
     */
    private String property;

    /*
     * 创建时间
     */
    private String createTime;

    /*
     * 财务负责人
     */
    private String financeOfficer;

    /*
     * 纳税人名称
     */
    private String name;

    /*
     * 纳税人识别号
     */
    private String creditNo;

    /*
     * 法定代表人
     */
    private String oper;

    /*
     * 注册地址
     */
    private String address;

    /*
     * 相关法律依据及,税务处理处罚情况
     */
    private String result;

    /*
     * 组织机构代码
     */
    private String orgNo;

    /*
     * 原文链接
     */
    private String url;
}
