package org.example.mybatisplus.module;

import lombok.Data;

import java.io.Serializable;

/**
 * 失信被执行人信息 vo
 *
 * @author dengjia
 */
@Data
public class DishonestPersonsInfoVO implements Serializable {

    private static final long serialVersionUID = -236315922173373141L;

    /*
     * 省份
     */
    private String province;

    /*
     * 立案时间
     */
    private String inDate;

    /*
     * 执行依据文号
     */
    private String docNumber;

    /*
     * 生效法律文书确定的义务
     */
    private String finalDuty;

    /*
     * 被执行人履行情况
     */
    private String executionStatus;

    /*
     * 案号
     */
    private String caseNumber;

    /*
     * 执行标的
     */
    private String amount;

    /*
     * 发布日期
     */
    private String publishDate;

    /*
     * 执行法院
     */
    private String court;

    /*
     * 失信被执行人行为情况
     */
    private String executionDesc;

    /*
     * 是否是历史
     */
    private String disabled;

    /*
     * 法定代表人
     */
    private String operName;

    /*
     * 组织机构号
     */
    private String number;

    /*
     * 做出执行依据单位
     */
    private String exDepartment;
}
