package org.example.mybatisplus.module;

import lombok.Data;
import org.example.mybatisplus.module.vo.Attachment;
import org.example.mybatisplus.module.vo.DocumentVo;
import org.example.mybatisplus.module.vo.PlateDocumentVo;
import org.example.mybatisplus.module.vo.ServiceProviderInfo;

import java.util.List;

/**
 * 顶层平台报告类
 */
@Data
public class PlatformReport {
    private ServiceProviderInfo serviceProviderInfo; // 服务商信息（如名称、类型）
    private AuditResult auditResult;                 // 审核结果
    private RegistrationInfo registrationInfo;                     // 基本信息
    private PublicRecord publicRecord;              // 公共记录
    private FinancialInfo financialInfo;             // 财务信息
    private PlateDocumentVo documentVo;            // 附件列表
    private String declarationContent;           //申明内容
}

