package org.example.mybatisplus.module.vo;

import lombok.Data;

import java.util.List;

/**
 * 附件
 */
@Data
public class AssocDocumentVo {
    private String docurl1;
    /**
     * 营业执照图片路径
     */
    private List<Attachment> businessLicenseImage;
    /**
     * 社会团体法人登记证书图片路径（多张）
     */
    private List<Attachment> legalRegistrationCertImages;
    /**
     * 最新年检结果页图片路径
     */
    private List<Attachment> annualInspectionResultImage;
    /**
     * 银行开户证明图片路径（多张）
     */
    private List<Attachment> bankCertificationImages;
    /**
     * 评估等级证书图片路径（1A-5A）
     */
    private List<Attachment> assessmentLevelCertImage;
    /**
     * 前十大捐赠方名单图片路径
     */
    private List<Attachment> topDonorsListImage;
    /**
     * 前十大支出方名单图片路径
     */
    private List<Attachment> topExpenditureListImage;
    /**
     * 管理层备案表图片路径（如有）
     */
    private List<Attachment> managementFilingFormImage;
    //机构评估等级证书
    private List<Attachment> jigoupinggu;
    // 年检结果通知单
    private List<Attachment> nianjianjieguo;
    /**
     * 地方分会情况图片路径
     */
    private List<Attachment> branchInfoImage;
    /**
     * 机构负责人信息图片路径
     */
    private List<Attachment> principalInfoImage;
    /**
     * 项目信息
     */
    private List<Attachment> projectInfoImage;
    /**
     * 其他分支机构
     */
    private List<Attachment> otherInfoImage;
    /**
     * 总体保证声明
     */
    private List<Attachment> zongti;
}
