package org.example.mybatisplus.module.vo;

import lombok.Data;

import java.util.List;

/**
 * 附件
 */
@Data
public class PlateDocumentVo {
    private String docurl1;
    /**
     * 营业执照图片路径
     */
    private List<Attachment> businessLicenseImage;
    /**
     * 银行开户证明图片路径
     */
    private List<Attachment> bankCertificateImage;
    /**
     * ISO认证证书图片路径
     */
    private List<Attachment> isoCertificationImage;
    /**
     * 其他资质文件路径
     */
    private List<Attachment> otherCertifications;
    /**
     * 信息安全等级保护证明路径
     */
    private List<Attachment> securityLevelCertification;
    /**
     * 组织架构图路径
     */
    private List<Attachment> organizationalStructureImage;
    /**
     * 财务信息在线链接
     */
    private String financialInfoLink;
    /**
     * 增值税申报表路径
     */
    private String taxDeclarationImage;
    /**
     * 完税凭证图片路径
     */
    private List<Attachment> taxPaymentCertificateImage;
    /**
     * 社保缴纳证明路径
     */
    private String socialSecurityDetailsLink;
    /**
     * 纳税信用等级相关支持性文件
     */
    private List<Attachment> nsxydjwj;
    /**
     * 利益冲突
     */
    private List<Attachment> interestConflict;
    /**
     * 第三方参照
     */
    private List<Attachment> disanfangcangzhao;
    /**
     * 总体保证声明
     */
    private List<Attachment> overallGuaranteeStatement;

}
